Skip to main content
POST
/
models
/
{model_name}
/
meta
Model Meta Update
curl --request POST \
  --url https://api.example.com/models/{model_name}/meta \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "github_url": "<string>",
  "paper_url": "<string>",
  "license_url": "<string>",
  "readme": "<string>",
  "cover_img_url": "<string>",
  "reported_type": "automatic-speech-recognition"
}
'
{
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

xi-api-key
string | null

Path Parameters

model_name
string
required

Body

application/json
description
string | null

short model description in plain text

github_url
string | null

source code project link (empty to delete)

paper_url
string | null

paper/research link (empty to delete)

license_url
string | null

usage license link (empty to delete)

readme
string | null

markdown flavored model readme

cover_img_url
string | null

dataurl or regular url to cover image (empty to delete)

reported_type
enum<string> | null

model type

Available options:
automatic-speech-recognition,
image-classification,
question-answering,
token-classification,
text-to-image,
fill-mask,
zero-shot-image-classification,
text2text-generation,
text-generation,
text-classification,
object-detection,
embeddings,
dreambooth,
custom,
text-to-speech,
text-to-video,
rent-container,
reranker

Response

Successful Response